Page MenuHomePhabricator

Populate Possible-Tech-Projects workboard for GSoC'16
Closed, ResolvedPublic

Description

We need to move relevant projects from Recheck in Feb 2016 to Missing Mentors in Possible-Tech-Projects workboard.

Also, we need to import relevent tasks from T126961#2036946 and #T90870 here.

  • Clear the "Recheck in February" board.
  • Notify all the projects in "Need Discussion" about the start of GSoC '16 and its timeline.

Event Timeline

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptFeb 18 2016, 9:47 AM
01tonythomas renamed this task from Populate Possible-Tech-Projects workboard for GSoC'16/Outreachy'12 to Populate Possible-Tech-Projects workboard for GSoC'16.Feb 19 2016, 4:42 PM
Sumit updated the task description. (Show Details)Mar 1 2016, 2:34 AM
Sumit added a comment.Mar 1 2016, 4:58 PM

Posting the following to all projects in "Needs Discussion" which haven't received a notification till now

This is a message posted to all tasks under "Needs Discussion" at Possible-Tech-Projects. Wikimedia has been accepted as a mentor organization for GSoC '16. If you want to propose this task as a featured project idea, we need a clear plan with community support, and two mentors willing to support it.

Qgil added a comment.Mar 2 2016, 10:18 AM

T91626: Technology to transclude git content into wiki pages was in the Featured column but in fact it had no mentors assigned in this round. I moved it to Missing mentors. It would be useful if someone could check that the other Featured tasks do have mentors ready, otherwise we are misleading candidates.

T91626: Technology to transclude git content into wiki pages was in the Featured column but in fact it had no mentors assigned in this round. I moved it to Missing mentors. It would be useful if someone could check that the other Featured tasks do have mentors ready, otherwise we are misleading candidates.

It would also be useful to confirm with the mentors currently in the task description that they are willing to mentor the project in the current round too.

Sumit updated the task description. (Show Details)Mar 5 2016, 8:45 PM
Qgil added a comment.Mar 25 2016, 7:32 AM

Just a side comment about

Since this proposal is valid for both GSoC and Outreachy, we are considering it for GSoC only, as per our rules at https://www.mediawiki.org/wiki/Google_Summer_of_Code/Admins#Proposal_submission_phase

I think the idea still is that candidates eligible to both programs should submit their applications to both, knowing that in the case of acceptance in both the priority is to get a slot in GSoC, not Outreachy. The idea to apply in both is still valid, because we should avoid a scenario where a student is not getting a GSoC project (i.e. because we get 5 slots and there are 7 good candidates) and then she is not getting an Outreachy project either, because we advised her not to apply.

Sumit added a comment.Mar 25 2016, 8:20 AM

Just a side comment about

Since this proposal is valid for both GSoC and Outreachy, we are considering it for GSoC only, as per our rules at https://www.mediawiki.org/wiki/Google_Summer_of_Code/Admins#Proposal_submission_phase

I think the idea still is that candidates eligible to both programs should submit their applications to both, knowing that in the case of acceptance in both the priority is to get a slot in GSoC, not Outreachy. The idea to apply in both is still valid, because we should avoid a scenario where a student is not getting a GSoC project (i.e. because we get 5 slots and there are 7 good candidates) and then she is not getting an Outreachy project either, because we advised her not to apply.

Edited the page to reflect the idea to apply to both. With respect to the current rounds, all our candidates who are eligible for both programs have applied for both. So the remark above I think applies to considering the proposals for GSoC during evaluation for this round.

Just a side comment about

Since this proposal is valid for both GSoC and Outreachy, we are considering it for GSoC only, as per our rules at https://www.mediawiki.org/wiki/Google_Summer_of_Code/Admins#Proposal_submission_phase

I think the idea still is that candidates eligible to both programs should submit their applications to both, knowing that in the case of acceptance in both the priority is to get a slot in GSoC, not Outreachy. The idea to apply in both is still valid, because we should avoid a scenario where a student is not getting a GSoC project (i.e. because we get 5 slots and there are 7 good candidates) and then she is not getting an Outreachy project either, because we advised her not to apply.

You're right, my mistake. I was counting on the fact that we usually get the slots we ask for in GSoC.

Sumit updated the task description. (Show Details)Mar 25 2016, 9:05 PM

Done for this round. Thanks to everyone who helped out!

Sumit closed this task as Resolved.Mar 25 2016, 9:06 PM
Sumit claimed this task.